### Class

# EBackend UserPrompterServerExtension

since: 3.8

#### Description [src]

    abstract class EBackend.UserPrompterServerExtension : EDataServer.Extension
    {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below.

Available since: 3.8

#### Hierarchy

#### Ancestors

- EExtension
- GObject

#### Instance methods

###### e_user_prompter_server_extension_prompt

Instructs extension to show dialog `dialog_name`. If it cannot be found, or any error, then return `FALSE`. The caller can pass optional `parameters`, if `extension` uses any. Meaning of `parameters` is known only to the caller and to the dialog implementor, it’s not interpretted nor checked for correctness in any way in `EUserPrompterServer`. The only limitation of `parameters` is that the array elements are strings.

since: 3.8

###### e_user_prompter_server_extension_response

A conveniente wrapper function around e_user_prompter_server_response(), which ends previous call of e_user_prompter_server_extension_prompt(). The `response` and `values` is known only to the caller and to the dialog implementor, it’s not interpretted nor checked for correctness in any way in `EUserPrompterServer`. The only limitation of `values` is that the array elements are strings.

since: 3.8

##### Methods inherited from EExtension (1)

###### e_extension_get_extensible

Returns the object that `extension` extends.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from EExtension (1)

###### EDataServer.Extension:extensible

The object being extended.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EBackendUserPrompterServerExtensionClass {
      EExtensionClass parent_class;
      void (* register_dialogs) (
        EExtension* extension,
        _EUserPrompterServer* server
      );
      gboolean (* prompt) (
        EUserPrompterServerExtension* extension,
        gint prompt_id,
        const gchar* dialog_name,
        const ENamedParameters* parameters
      );

    }

No description available.

###### Class members

`parent_class: EExtensionClass`

  No description available.

`register_dialogs: void (* register_dialogs) ( EExtension* extension, _EUserPrompterServer* server )`

  No description available.

`prompt: gboolean (* prompt) ( EUserPrompterServerExtension* extension, gint prompt_id, const gchar* dialog_name, const ENamedParameters* parameters )`

  No description available.

#### Virtual methods

###### EBackend.UserPrompterServerExtensionClass.prompt

Instructs extension to show dialog `dialog_name`. If it cannot be found, or any error, then return `FALSE`. The caller can pass optional `parameters`, if `extension` uses any. Meaning of `parameters` is known only to the caller and to the dialog implementor, it’s not interpretted nor checked for correctness in any way in `EUserPrompterServer`. The only limitation of `parameters` is that the array elements are strings.

since: 3.8